/* dc.h
 *
 * Sega Dreamcast specific functions
 */

#ifndef __DC_H__
#define __DC_H__

extern uint8 dc_open_menu;

void dc_setTimerHandler(void (*handler)(), int tps);
void dc_stopTimer();

void dc_init();
void dc_shutdown();
void dc_getControls();

void dc_setDisplay( float zoom, int rotated);
void dc_beginFrame();
void dc_endFrame();
void dc_dummyTransList();
void dc_blit();
int16 *dc_getFrameBuffer();

uint32 timeGetTime();
void write(FILE *fp, const void *buf, int size);
void read(FILE *f, void* buf, int size);
#endif
