#ifndef __DC_SOUND_H__
#define __DC_SOUND_H__

void dc_sound_playChannel(int channel);
void dc_sound_stopChannel(int channel);
void dc_sound_clearChannel(int channel);

void dc_sound_setChannelFreq(int channel, int freq);
void dc_sound_setChannelVolume(int channel, int vol);
void dc_sound_setChannelPanning(int channel, int pan);

void dc_sound_writeData( int channel, int offset, void *pdata, int size);

void dc_sound_createChannel(int channel, int size);
void dc_sound_initChannel(int channel, aica_channel *chInfo);

void dc_sound_init();

#endif
