//////////////////////////////////////////////////////////////////////////////
//
//////////////////////////////////////////////////////////////////////////////
//
//
//
//
//
//
//////////////////////////////////////////////////////////////////////////////

#ifndef __WS_H__
#define __WS_H__

#define WS_SYSTEM_MONO			0
#define WS_SYSTEM_COLOR			1
#define WS_SYSTEM_AUTODETECT    2

//  supprimer !
extern uint32	ws_cyclesByLine;

extern char  ws_rom_path[4096];
extern int   ws_restart;
extern int   ws_reset_game;
extern int   ws_terminate;

int		ws_init(char *rompath);
int		ws_rotated(void);
void	ws_set_colour_scheme(int scheme);
void	ws_set_system(int system);
void	ws_reset(void);
int		ws_executeLine(int16 *framebuffer, int renderLine);
void	ws_patchRom(void);
int		ws_loadState(char *statepath);
int		ws_saveState(char *statepath);
void	ws_done(void);

#endif
